Browse event markets
curl --request GET \
--url https://quantura.studio/api/v1/market-search/event \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/market-search/event"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/market-search/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/market-search/event",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/market-search/event"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quantura.studio/api/v1/market-search/event")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/market-search/event")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"source": "kalshi",
"event_id": "EXAMPLE-GAME",
"title": "Example game",
"count": 0,
"groups": {
"kalshi": []
},
"related_events": [
{
"event_id": "EXAMPLE-TOTAL",
"label": "EXAMPLE-TOTAL",
"group": "Totals"
}
],
"related_complete": true,
"next_cursor": null,
"total_contracts": null,
"coverage": "Paged live and archived contracts for this event."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}Search
Browse event markets
Use the returned Polymarket event_slug or Kalshi event_id. Follow next_cursor unchanged for this same event. Kalshi related_events use official game links; follow each branch independently. No inferred cross-venue joins.
GET
/
v1
/
market-search
/
event
Browse event markets
curl --request GET \
--url https://quantura.studio/api/v1/market-search/event \
--header 'Authorization: Bearer <token>'import requests
url = "https://quantura.studio/api/v1/market-search/event"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quantura.studio/api/v1/market-search/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://quantura.studio/api/v1/market-search/event",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://quantura.studio/api/v1/market-search/event"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://quantura.studio/api/v1/market-search/event")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://quantura.studio/api/v1/market-search/event")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"source": "kalshi",
"event_id": "EXAMPLE-GAME",
"title": "Example game",
"count": 0,
"groups": {
"kalshi": []
},
"related_events": [
{
"event_id": "EXAMPLE-TOTAL",
"label": "EXAMPLE-TOTAL",
"group": "Totals"
}
],
"related_complete": true,
"next_cursor": null,
"total_contracts": null,
"coverage": "Paged live and archived contracts for this event."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}{
"ok": false,
"error": "event_query_invalid",
"message": "Choose a provider event and a valid continuation cursor."
}Authorizations
bearerAuthclerkOAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
kalshi, polymarket_us Response
Successful response (illustrative example)
The response is of type object.